<?php
/**
 * AutoSOAP - Expanded SOAP Server
 * 
 * PHP version 5
 * 
 * @package jp.servlet.AutoSOAP
 * @author Sakamoto Kouichi <sakamoto@servlet.sakura.ne.jp> 
 * @copyright 2006 Sakamoto Kouichi
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache Software License 2.0
 * 
 * $Id: Types.class.php 84 2006-04-15 05:56:21Z sakamoto $
 */

/**
 * T[rXł悭g^̒`
 * 
 * @package jp.servlet.AutoSOAP
 * @author Sakamoto Kouichi <sakamoto@servlet.sakura.ne.jp> 
 * @restriction_type string Mail
 * @restriction #Mail@pattern ^[a-z0-9_\-\.]+@[a-z0-9_\-][a-z0-9_\-\.]+\.[a-z]{2,4}$
 * @restriction_type string URL
 * @restriction #URL@pattern (ht|f)tps?[\:][\/]{2}.*
 * @restriction_type string HTTP_URL
 * @restriction #HTTP_URL@pattern https?[\:][\/]{2}.*
 * @restriction_type string FTP_URL
 * @restriction #FTP_URL@pattern ftps?[\:][\/]{2}.*
 * @restriction_type string Telephone
 * @restriction #Telephone@pattern [0-9]{9,11}
 * @restriction_type string ZIPCode
 * @restriction #ZIPCode@pattern [0-9]{3}\-[0-9]{4}
 * @restriction_type string FileName
 * @restriction #FileName@pattern [^\\\/\:\,\;\*\?\"<>\|\r\n]+
 * @restriction_type string FilePath
 * @restriction #FilePath@pattern [^\\\:\,\;\*\?\"<>\|\r\n]+
 */
interface AutoSOAP_Types {
} 
?>